diff -upr ioquake3svn1438/code/game/g_team.c ioquake3serverFix/code/game/g_team.c
--- ioquake3svn1438/code/game/g_team.c	2008-06-28 16:38:15.000000000 -0500
+++ ioquake3serverFix/code/game/g_team.c	2008-08-09 11:28:21.000000000 -0500
@@ -40,39 +40,24 @@ teamgame_t teamgame;
 
 gentity_t	*neutralObelisk;
 
-//Some pointers for Double Domination so we don't need GFind (I think it might crash at random times...)
-gentity_t	*ddA;
-gentity_t	*ddB;
-//Pointers for Standard Domination
-gentity_t	*dom_points[MAX_DOMINATION_POINTS];
-
 void Team_SetFlagStatus( int team, flagStatus_t status );
 
-qboolean dominationPointsSpawned;
-
 void Team_InitGame( void ) {
 	memset(&teamgame, 0, sizeof teamgame);
 
 	switch( g_gametype.integer ) {
 	case GT_CTF:
-	case GT_CTF_ELIMINATION:
-	case GT_DOUBLE_D:
 		teamgame.redStatus = -1; // Invalid to force update
 		Team_SetFlagStatus( TEAM_RED, FLAG_ATBASE );
 		 teamgame.blueStatus = -1; // Invalid to force update
 		Team_SetFlagStatus( TEAM_BLUE, FLAG_ATBASE );
-		ddA = NULL;
-		ddB = NULL;
 		break;
-	case GT_DOMINATION:
-		dominationPointsSpawned = qfalse;
-                break;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	case GT_1FCTF:
 		teamgame.flagStatus = -1; // Invalid to force update
 		Team_SetFlagStatus( TEAM_FREE, FLAG_ATBASE );
 		break;
-//#endif
+#endif
 	default:
 		break;
 	}
@@ -146,42 +131,37 @@ AddTeamScore
 void AddTeamScore(vec3_t origin, int team, int score) {
 	gentity_t	*te;
 
+	te = G_TempEntity(origin, EV_GLOBAL_TEAM_SOUND );
+	te->r.svFlags |= SVF_BROADCAST;
 
-	if ( g_gametype.integer != GT_DOMINATION ) {
-		te = G_TempEntity(origin, EV_GLOBAL_TEAM_SOUND );
-		te->r.svFlags |= SVF_BROADCAST;
-
-	
-	
-		if ( team == TEAM_RED ) {
-			if ( level.teamScores[ TEAM_RED ] + score == level.teamScores[ TEAM_BLUE ] ) {
-				//teams are tied sound
-				te->s.eventParm = GTS_TEAMS_ARE_TIED;
-			}
-			else if ( level.teamScores[ TEAM_RED ] <= level.teamScores[ TEAM_BLUE ] &&
-						level.teamScores[ TEAM_RED ] + score > level.teamScores[ TEAM_BLUE ]) {
-				// red took the lead sound
-				te->s.eventParm = GTS_REDTEAM_TOOK_LEAD;
-			}
-			else {
-				// red scored sound
-				te->s.eventParm = GTS_REDTEAM_SCORED;
-			}
+	if ( team == TEAM_RED ) {
+		if ( level.teamScores[ TEAM_RED ] + score == level.teamScores[ TEAM_BLUE ] ) {
+			//teams are tied sound
+			te->s.eventParm = GTS_TEAMS_ARE_TIED;
+		}
+		else if ( level.teamScores[ TEAM_RED ] <= level.teamScores[ TEAM_BLUE ] &&
+					level.teamScores[ TEAM_RED ] + score > level.teamScores[ TEAM_BLUE ]) {
+			// red took the lead sound
+			te->s.eventParm = GTS_REDTEAM_TOOK_LEAD;
 		}
 		else {
-			if ( level.teamScores[ TEAM_BLUE ] + score == level.teamScores[ TEAM_RED ] ) {
-				//teams are tied sound
-				te->s.eventParm = GTS_TEAMS_ARE_TIED;
-			}
-			else if ( level.teamScores[ TEAM_BLUE ] <= level.teamScores[ TEAM_RED ] &&
-						level.teamScores[ TEAM_BLUE ] + score > level.teamScores[ TEAM_RED ]) {
-				// blue took the lead sound
-				te->s.eventParm = GTS_BLUETEAM_TOOK_LEAD;
-			}
-			else {
-				// blue scored sound
-				te->s.eventParm = GTS_BLUETEAM_SCORED;
-			}
+			// red scored sound
+			te->s.eventParm = GTS_REDTEAM_SCORED;
+		}
+	}
+	else {
+		if ( level.teamScores[ TEAM_BLUE ] + score == level.teamScores[ TEAM_RED ] ) {
+			//teams are tied sound
+			te->s.eventParm = GTS_TEAMS_ARE_TIED;
+		}
+		else if ( level.teamScores[ TEAM_BLUE ] <= level.teamScores[ TEAM_RED ] &&
+					level.teamScores[ TEAM_BLUE ] + score > level.teamScores[ TEAM_RED ]) {
+			// blue took the lead sound
+			te->s.eventParm = GTS_BLUETEAM_TOOK_LEAD;
+		}
+		else {
+			// blue scored sound
+			te->s.eventParm = GTS_BLUETEAM_SCORED;
 		}
 	}
 	level.teamScores[ team ] += score;
@@ -197,7 +177,7 @@ qboolean OnSameTeam( gentity_t *ent1, ge
 		return qfalse;
 	}
 
-	if ( g_gametype.integer < GT_TEAM || g_ffa_gt==1) {
+	if ( g_gametype.integer < GT_TEAM ) {
 		return qfalse;
 	}
 
@@ -238,20 +218,14 @@ void Team_SetFlagStatus( int team, flagS
 		break;
 	}
 
-
 	if( modified ) {
 		char st[4];
 
-		if( g_gametype.integer == GT_CTF || g_gametype.integer == GT_CTF_ELIMINATION) {
+		if( g_gametype.integer == GT_CTF ) {
 			st[0] = ctfFlagStatusRemap[teamgame.redStatus];
 			st[1] = ctfFlagStatusRemap[teamgame.blueStatus];
 			st[2] = 0;
 		}
-		else if (g_gametype.integer == GT_DOUBLE_D) {
-			st[0] = oneFlagStatusRemap[teamgame.redStatus];
-			st[1] = oneFlagStatusRemap[teamgame.blueStatus];
-			st[2] = 0;
-		}
 		else {		// GT_1FCTF
 			st[0] = oneFlagStatusRemap[teamgame.flagStatus];
 			st[1] = 0;
@@ -290,47 +264,13 @@ void Team_ForceGesture(int team) {
 			continue;
 		if (ent->client->sess.sessionTeam != team)
 			continue;
+		//
 		ent->flags |= FL_FORCE_GESTURE;
 	}
 }
 
 /*
 ================
-Team_DD_bonusAtPoints
-Adds bonus point to a player if he is close to the point and on the team that scores 
-================
-*/
-
-void Team_DD_bonusAtPoints(int team) {
-	vec3_t v1, v2;
-	int i;
-	gentity_t *player;
-
-	for (i = 0; i < MAX_CLIENTS; i++) {
-		player = &g_entities[i];
-		if (!player->inuse)
-			continue;
-		if (!player->client)
-			continue;
-		
-		if( player->client->sess.sessionTeam != team )
-			return; //player was not on scoring team 
-
-		//See if the player is close to any of the points:
-		VectorSubtract(player->r.currentOrigin, ddA->r.currentOrigin, v1);
-		VectorSubtract(player->r.currentOrigin, ddB->r.currentOrigin, v2);
-		if (!( ( ( VectorLength(v1) < CTF_TARGET_PROTECT_RADIUS &&
-				trap_InPVS(ddA->r.currentOrigin, player->r.currentOrigin ) ) ||
-				( VectorLength(v2) < CTF_TARGET_PROTECT_RADIUS &&
-				trap_InPVS(ddB->r.currentOrigin, player->r.currentOrigin ) ) )))
-					return; //Wasn't close to any of the points
-	
-		AddScore(player, player->r.currentOrigin, DD_AT_POINT_AT_CAPTURE);
-	}
-}
-
-/*
-================
 Team_FragBonuses
 
 Calculate the bonuses for flag defense, flag carrier defense, etc.
@@ -374,25 +314,17 @@ void Team_FragBonuses(gentity_t *targ, g
 
 	// did the attacker frag the flag carrier?
 	tokens = 0;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if( g_gametype.integer == GT_HARVESTER ) {
 		tokens = targ->client->ps.generic1;
 	}
-//#endif
+#endif
 	if (targ->client->ps.powerups[enemy_flag_pw]) {
 		attacker->client->pers.teamState.lastfraggedcarrier = level.time;
 		AddScore(attacker, targ->r.currentOrigin, CTF_FRAG_CARRIER_BONUS);
 		attacker->client->pers.teamState.fragcarrier++;
 		PrintMsg(NULL, "%s" S_COLOR_WHITE " fragged %s's flag carrier!\n",
 			attacker->client->pers.netname, TeamName(team));
-                if(g_gametype.integer == GT_CTF) {
-                    G_LogPrintf( "CTF: %i %i %i: %s fragged %s's flag carrier!\n", attacker->client->ps.clientNum, team, 3, attacker->client->pers.netname, TeamName(team) );
-                } else if(g_gametype.integer == GT_CTF_ELIMINATION) {
-                    G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: %s fragged %s's flag carrier!\n", level.roundNumber, attacker->client->ps.clientNum, team, 3, attacker->client->pers.netname, TeamName(team) );
-                } else if(g_gametype.integer == GT_1FCTF) {
-                    G_LogPrintf( "1fCTF: %i %i %i: %s fragged %s's flag carrier!\n", attacker->client->ps.clientNum, team, 3, attacker->client->pers.netname, TeamName(team) );
-                }
-                
 
 		// the target had the flag, clear the hurt carrier
 		// field on the other team
@@ -433,8 +365,6 @@ void Team_FragBonuses(gentity_t *targ, g
 		targ->client->pers.teamState.lasthurtcarrier = 0;
 
 		attacker->client->ps.persistant[PERS_DEFEND_COUNT]++;
-                G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", attacker->client->ps.clientNum, 3, attacker->client->pers.netname, "DEFENCE" );
-                
 		team = attacker->client->sess.sessionTeam;
 		// add the sprite over the player's head
 		attacker->client->ps.eFlags &= ~(EF_AWARD_IMPRESSIVE | EF_AWARD_EXCELLENT | EF_AWARD_GAUNTLET | EF_AWARD_ASSIST | EF_AWARD_DEFEND | EF_AWARD_CAP );
@@ -453,7 +383,6 @@ void Team_FragBonuses(gentity_t *targ, g
 		targ->client->pers.teamState.lasthurtcarrier = 0;
 
 		attacker->client->ps.persistant[PERS_DEFEND_COUNT]++;
-                G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", attacker->client->ps.clientNum, 3, attacker->client->pers.netname, "DEFENCE" );
 		team = attacker->client->sess.sessionTeam;
 		// add the sprite over the player's head
 		attacker->client->ps.eFlags &= ~(EF_AWARD_IMPRESSIVE | EF_AWARD_EXCELLENT | EF_AWARD_GAUNTLET | EF_AWARD_ASSIST | EF_AWARD_DEFEND | EF_AWARD_CAP );
@@ -463,83 +392,11 @@ void Team_FragBonuses(gentity_t *targ, g
 		return;
 	}
 
-//We palce the Double Domination bonus test here! This appears to be the best place to place them.
-	if ( g_gametype.integer == GT_DOUBLE_D ) {
-		if(attacker->client->sess.sessionTeam == level.pointStatusA ) { //Attack must defend point A
-			//See how close attacker and target was to Point A:
-			VectorSubtract(targ->r.currentOrigin, ddA->r.currentOrigin, v1);
-			VectorSubtract(attacker->r.currentOrigin, ddA->r.currentOrigin, v2);
-
-			if ( ( ( VectorLength(v1) < CTF_TARGET_PROTECT_RADIUS &&
-				trap_InPVS(ddA->r.currentOrigin, targ->r.currentOrigin ) ) ||
-				( VectorLength(v2) < CTF_TARGET_PROTECT_RADIUS &&
-				trap_InPVS(ddA->r.currentOrigin, attacker->r.currentOrigin ) ) ) &&
-				attacker->client->sess.sessionTeam != targ->client->sess.sessionTeam) {
-				
-				//We defended point A
-				//Was we dominating and maybe close to score?
-				if(attacker->client->sess.sessionTeam == level.pointStatusB && level.time - level.timeTaken > (10-DD_CLOSE)*1000)
-					AddScore(attacker, targ->r.currentOrigin, DD_POINT_DEFENCE_CLOSE_BONUS);
-				else
-					AddScore(attacker, targ->r.currentOrigin, DD_POINT_DEFENCE_BONUS);
-				attacker->client->pers.teamState.basedefense++;
-
-				attacker->client->ps.persistant[PERS_DEFEND_COUNT]++;
-                                G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", attacker->client->ps.clientNum, 3, attacker->client->pers.netname, "DEFENCE" );
-				// add the sprite over the player's head
-				attacker->client->ps.eFlags &= ~(EF_AWARD_IMPRESSIVE | EF_AWARD_EXCELLENT | EF_AWARD_GAUNTLET | EF_AWARD_ASSIST | EF_AWARD_DEFEND | EF_AWARD_CAP );
-				attacker->client->ps.eFlags |= EF_AWARD_DEFEND;
-				attacker->client->rewardTime = level.time + REWARD_SPRITE_TIME;
-
-				return; //Return so we don't recieve credits for point B also
-
-			} //We denfended point A
-
-
-
-		} //Defend point A
-
-		if(attacker->client->sess.sessionTeam == level.pointStatusB ) { //Attack must defend point B
-			//See how close attacker and target was to Point B:
-			VectorSubtract(targ->r.currentOrigin, ddB->r.currentOrigin, v1);
-			VectorSubtract(attacker->r.currentOrigin, ddB->r.currentOrigin, v2);
-
-			if ( ( ( VectorLength(v1) < CTF_TARGET_PROTECT_RADIUS &&
-				trap_InPVS(ddB->r.currentOrigin, targ->r.currentOrigin ) ) ||
-				( VectorLength(v2) < CTF_TARGET_PROTECT_RADIUS &&
-				trap_InPVS(ddB->r.currentOrigin, attacker->r.currentOrigin ) ) ) &&
-				attacker->client->sess.sessionTeam != targ->client->sess.sessionTeam) {
-				
-				//We defended point B
-				//Was we dominating and maybe close to score?
-				if(attacker->client->sess.sessionTeam == level.pointStatusA && level.time - level.timeTaken > (10-DD_CLOSE)*1000)
-					AddScore(attacker, targ->r.currentOrigin, DD_POINT_DEFENCE_CLOSE_BONUS);
-				else
-					AddScore(attacker, targ->r.currentOrigin, DD_POINT_DEFENCE_BONUS);
-				attacker->client->pers.teamState.basedefense++;
-
-				attacker->client->ps.persistant[PERS_DEFEND_COUNT]++;
-                                G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", attacker->client->ps.clientNum, 3, attacker->client->pers.netname, "DEFENCE" );
-				// add the sprite over the player's head
-				attacker->client->ps.eFlags &= ~(EF_AWARD_IMPRESSIVE | EF_AWARD_EXCELLENT | EF_AWARD_GAUNTLET | EF_AWARD_ASSIST | EF_AWARD_DEFEND | EF_AWARD_CAP );
-				attacker->client->ps.eFlags |= EF_AWARD_DEFEND;
-				attacker->client->rewardTime = level.time + REWARD_SPRITE_TIME;
-
-				return;
-
-			} //We denfended point B
-
-
-
-		} //Defend point B
-	return; //In double Domination we shall not go on, or we would test for team bases that we don't use
-	}
-
 	// flag and flag carrier area defense bonuses
 
 	// we have to find the flag and carrier entities
 
-//#ifdef MISSIONPACK	
+#ifdef MISSIONPACK	
 	if( g_gametype.integer == GT_OBELISK ) {
 		// find the team obelisk
 		switch (attacker->client->sess.sessionTeam) {
@@ -557,7 +414,7 @@ void Team_FragBonuses(gentity_t *targ, g
 		// find the center obelisk
 		c = "team_neutralobelisk";
 	} else {
-//#endif
+#endif
 	// find the flag
 	switch (attacker->client->sess.sessionTeam) {
 	case TEAM_RED:
@@ -576,9 +433,9 @@ void Team_FragBonuses(gentity_t *targ, g
 			break;
 		carrier = NULL;
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	}
-//#endif
+#endif
 	flag = NULL;
 	while ((flag = G_Find (flag, FOFS(classname), c)) != NULL) {
 		if (!(flag->flags & FL_DROPPED_ITEM))
@@ -598,17 +455,13 @@ void Team_FragBonuses(gentity_t *targ, g
 		trap_InPVS(flag->r.currentOrigin, targ->r.currentOrigin ) ) ||
 		( VectorLength(v2) < CTF_TARGET_PROTECT_RADIUS &&
 		trap_InPVS(flag->r.currentOrigin, attacker->r.currentOrigin ) ) ) &&
-		attacker->client->sess.sessionTeam != targ->client->sess.sessionTeam && g_gametype.integer != GT_ELIMINATION &&
-		(g_gametype.integer != GT_CTF_ELIMINATION || g_elimination_ctf_oneway.integer==0 || 
-		((level.eliminationSides+level.roundNumber)%2 == 0 && attacker->client->sess.sessionTeam == TEAM_BLUE ) ||
-		((level.eliminationSides+level.roundNumber)%2 == 1 && attacker->client->sess.sessionTeam == TEAM_RED ) ) ) {
+		attacker->client->sess.sessionTeam != targ->client->sess.sessionTeam) {
 
 		// we defended the base flag
 		AddScore(attacker, targ->r.currentOrigin, CTF_FLAG_DEFENSE_BONUS);
 		attacker->client->pers.teamState.basedefense++;
 
 		attacker->client->ps.persistant[PERS_DEFEND_COUNT]++;
-                G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", attacker->client->ps.clientNum, 3, attacker->client->pers.netname, "DEFENCE" );
 		// add the sprite over the player's head
 		attacker->client->ps.eFlags &= ~(EF_AWARD_IMPRESSIVE | EF_AWARD_EXCELLENT | EF_AWARD_GAUNTLET | EF_AWARD_ASSIST | EF_AWARD_DEFEND | EF_AWARD_CAP );
 		attacker->client->ps.eFlags |= EF_AWARD_DEFEND;
@@ -630,7 +483,6 @@ void Team_FragBonuses(gentity_t *targ, g
 			attacker->client->pers.teamState.carrierdefense++;
 
 			attacker->client->ps.persistant[PERS_DEFEND_COUNT]++;
-                        G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", attacker->client->ps.clientNum, 3, attacker->client->pers.netname, "DEFENCE" );
 			// add the sprite over the player's head
 			attacker->client->ps.eFlags &= ~(EF_AWARD_IMPRESSIVE | EF_AWARD_EXCELLENT | EF_AWARD_GAUNTLET | EF_AWARD_ASSIST | EF_AWARD_DEFEND | EF_AWARD_CAP );
 			attacker->client->ps.eFlags |= EF_AWARD_DEFEND;
@@ -706,177 +558,16 @@ gentity_t *Team_ResetFlag( int team ) {
 	return rent;
 }
 
-//Functions for Domination
-
-void Team_Dom_SpawnPoints( void ) {
-	char *c;
-	gentity_t *flag;
-	int i;
-	gitem_t			*it;
-        
-        flag = NULL;
-	
-	if(dominationPointsSpawned)
-		return;
-	dominationPointsSpawned = qtrue;
-
-	it = NULL;
-	it = BG_FindItem ("Neutral domination point");
-	if(it == NULL) {
-		PrintMsg( NULL, "No domination item\n");
-		return;
-	} else {
-		PrintMsg( NULL, "Domination item found\n");
-	}
-	i = 0;
-	c = "domination_point";
-	
-	//return; Just to test, the lines below crashes game
-	
-	while ((flag = G_Find (flag, FOFS(classname), c)) != NULL) {
-		if(i>=MAX_DOMINATION_POINTS)
-			break;
-		//domination_points_names[i] = flag->message;
-		Q_strncpyz(level.domination_points_names[i],flag->message,MAX_DOMINATION_POINTS_NAMES-1);
-		PrintMsg( NULL, "Domination point \'%s\' found\n",level.domination_points_names[i]);		
-		dom_points[i] = G_Spawn();
-		VectorCopy( flag->r.currentOrigin, dom_points[i]->s.origin );
-		dom_points[i]->classname = it->classname;
-		G_SpawnItem(dom_points[i], it);
-		FinishSpawningItem(dom_points[i] );
-		
-		i++;
-	}
-	level.domination_points_count = i;
-}
-
-int getDomPointNumber( gentity_t *point ) {
-	int i;
-	for(i=1;i<MAX_DOMINATION_POINTS && i<level.domination_points_count;i++) {
-		if(dom_points[i] == NULL)
-			return 0; //Not found, just return first, so we don't crash
-		if(dom_points[i] == point)
-			return i;
-	}
-	return 0;
-}
-
-void Team_Dom_TakePoint( gentity_t *point, int team ) {
-	gitem_t			*it;
-	vec3_t			origin;
-	int i;
-	i = getDomPointNumber(point);
-	if(i<0)
-		i = 0;
-	if(i>=MAX_DOMINATION_POINTS)
-		i = MAX_DOMINATION_POINTS - 1;
-
-	it = NULL;
-	VectorCopy( point->r.currentOrigin, origin );
-
-	if(team == TEAM_RED) {
-		it = BG_FindItem ("Red domination point");
-		PrintMsg( NULL, "Red took \'%s\'\n",level.domination_points_names[i]);
-	} else
-	if(team == TEAM_BLUE) {
-		it = BG_FindItem ("Blue domination point");
-		PrintMsg( NULL, "Blue took \'%s\'\n",level.domination_points_names[i]);
-	}
-	if (!it || it == NULL) {
-		PrintMsg( NULL, "No item\n");
-		return;
-	}
-
-	G_FreeEntity(point);
-
-	point = G_Spawn();
-
-	VectorCopy( origin, point->s.origin );
-	point->classname = it->classname;
-	dom_points[i] = point;
-	G_SpawnItem(point, it);
-	FinishSpawningItem( point );
-	level.pointStatusDom[i] = team;
-	SendDominationPointsStatusMessageToAllClients();
-}
-
-//Functions for Double Domination
-
-void Team_DD_RemovePointAgfx( void ) {
-	if(ddA!=NULL) {
-		G_FreeEntity(ddA);
-		ddA = NULL;
-	}
-}
-
-void Team_DD_RemovePointBgfx( void ) {
-	if(ddB!=NULL) {
-		G_FreeEntity(ddB);
-		ddB = NULL;
-	}
-}
-
-void Team_DD_makeA2team( gentity_t *target, int team ) {
-	gitem_t			*it;
-	//gentity_t		*it_ent;
-	Team_DD_RemovePointAgfx();
-	it = NULL;
-	if(team == TEAM_NONE)
-		return;
-	if(team == TEAM_RED)
-		it = BG_FindItem ("Point A (Red)");
-	if(team == TEAM_BLUE)
-		it = BG_FindItem ("Point A (Blue)");
-	if(team == TEAM_FREE)
-		it = BG_FindItem ("Point A (White)");
-	if (!it || it == NULL) {
-		PrintMsg( NULL, "No item\n");
-		return;
-	}
-	ddA = G_Spawn();
-	
-	VectorCopy( target->r.currentOrigin, ddA->s.origin );
-	ddA->classname = it->classname;
-	G_SpawnItem(ddA, it);
-	FinishSpawningItem(ddA );
-}
-
-void Team_DD_makeB2team( gentity_t *target, int team ) {
-	gitem_t			*it;
-	//gentity_t		*it_ent;
-	
-	Team_DD_RemovePointBgfx();
-        it = NULL;
-	if(team == TEAM_NONE)
-		return;
-	if(team == TEAM_RED)
-		it = BG_FindItem ("Point B (Red)");
-	if(team == TEAM_BLUE)
-		it = BG_FindItem ("Point B (Blue)");
-	if(team == TEAM_FREE)
-		it = BG_FindItem ("Point B (White)");
-	if (!it || it == NULL) {
-		PrintMsg( NULL, "No item\n");
-		return;
-	}
-	ddB = G_Spawn();
-	
-	VectorCopy( target->r.currentOrigin, ddB->s.origin );
-	ddB->classname = it->classname;
-	G_SpawnItem(ddB, it);
-	FinishSpawningItem(ddB );
-}
-
 void Team_ResetFlags( void ) {
-	if( g_gametype.integer == GT_CTF || g_gametype.integer == GT_CTF_ELIMINATION) {
+	if( g_gametype.integer == GT_CTF ) {
 		Team_ResetFlag( TEAM_RED );
 		Team_ResetFlag( TEAM_BLUE );
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	else if( g_gametype.integer == GT_1FCTF ) {
 		Team_ResetFlag( TEAM_FREE );
 	}
-//#endif
+#endif
 }
 
 void Team_ReturnFlagSound( gentity_t *ent, int team ) {
@@ -887,10 +578,6 @@ void Team_ReturnFlagSound( gentity_t *en
 		return;
 	}
 
-	//See if we are during CTF_ELIMINATION warmup
-	if((level.time<=level.roundStartTime && level.time>level.roundStartTime-1000*g_elimination_activewarmup.integer)&&g_gametype.integer == GT_CTF_ELIMINATION)
-		return;
-
 	te = G_TempEntity( ent->s.pos.trBase, EV_GLOBAL_TEAM_SOUND );
 	if( team == TEAM_BLUE ) {
 		te->s.eventParm = GTS_RED_RETURN;
@@ -914,7 +601,7 @@ void Team_TakeFlagSound( gentity_t *ent,
 	switch(team) {
 		case TEAM_RED:
 			if( teamgame.blueStatus != FLAG_ATBASE ) {
-				if (teamgame.blueTakenTime > level.time - 10000 && g_gametype.integer != GT_CTF_ELIMINATION)
+				if (teamgame.blueTakenTime > level.time - 10000)
 					return;
 			}
 			teamgame.blueTakenTime = level.time;
@@ -922,7 +609,7 @@ void Team_TakeFlagSound( gentity_t *ent,
 
 		case TEAM_BLUE:	// CTF
 			if( teamgame.redStatus != FLAG_ATBASE ) {
-				if (teamgame.redTakenTime > level.time - 10000 && g_gametype.integer != GT_CTF_ELIMINATION)
+				if (teamgame.redTakenTime > level.time - 10000)
 					return;
 			}
 			teamgame.redTakenTime = level.time;
@@ -961,18 +648,9 @@ void Team_ReturnFlag( int team ) {
 	Team_ReturnFlagSound(Team_ResetFlag(team), team);
 	if( team == TEAM_FREE ) {
 		PrintMsg(NULL, "The flag has returned!\n" );
-                if(g_gametype.integer == GT_1FCTF) {
-                    G_LogPrintf( "1FCTF: %i %i %i: The flag was returned!\n", -1, -1, 2 );
-                }
 	}
 	else {
 		PrintMsg(NULL, "The %s flag has returned!\n", TeamName(team));
-                if(g_gametype.integer == GT_CTF_ELIMINATION) {
-                    G_LogPrintf( "CTF: %i %i %i: The %s flag was returned!\n", -1, team, 2, TeamName(team) );
-                } else
-                if(g_gametype.integer == GT_CTF_ELIMINATION) {
-                    G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: The %s flag was returned!\n", level.roundNumber, -1, team, 2, TeamName(team) );
-                }
 	}
 }
 
@@ -1014,149 +692,10 @@ void Team_DroppedFlagThink(gentity_t *en
 	// Reset Flag will delete this entity
 }
 
-/*
-Update DD points
-*/
-
-void updateDDpoints(void) {
-	//teamgame.redStatus = -1; // Invalid to force update
-	Team_SetFlagStatus( TEAM_RED, level.pointStatusA );
-	//teamgame.blueStatus = -1; // Invalid to force update
-	Team_SetFlagStatus( TEAM_BLUE, level.pointStatusB );
-}
-
-/*
-==============
-Team_SpawnDoubleDominationPoints
-==============
-*/
-
-int Team_SpawnDoubleDominationPoints ( void ) {
-	gentity_t	*ent;
-	level.pointStatusA = TEAM_FREE;
-	level.pointStatusB = TEAM_FREE;
-	updateDDpoints();
-	ent = NULL;
-	if ((ent = G_Find (ent, FOFS(classname), "team_CTF_redflag")) != NULL) {
-		Team_DD_makeA2team( ent, TEAM_FREE );
-	}
-        ent = NULL;
-	if ((ent = G_Find (ent, FOFS(classname), "team_CTF_blueflag")) != NULL) {
-		Team_DD_makeB2team( ent, TEAM_FREE );
-	}
-	return 1;
-}
-
-/*
-==============
-Team_RemoveDoubleDominationPoints
-==============
-*/
-
-int Team_RemoveDoubleDominationPoints ( void ) {
-	level.pointStatusA = TEAM_NONE;
-	level.pointStatusB = TEAM_NONE;
-	updateDDpoints();
-	Team_DD_makeA2team( NULL, TEAM_NONE );
-	Team_DD_makeB2team( NULL, TEAM_NONE );
-	return 1;
-}
-
-/*
-==============
-Team_TouchDoubleDominationPoint
-==============
-*/
-
-//team is the either TEAM_RED(A) or TEAM_BLUE(B)
-int Team_TouchDoubleDominationPoint( gentity_t *ent, gentity_t *other, int team ) {
-	gclient_t	*cl = other->client;
-	qboolean	otherDominating, isClose;
-	int 		clientTeam = cl->sess.sessionTeam;
-	int		otherTeam;
-	int		score; //Used to add the scores together 
-
-	if(clientTeam == TEAM_RED)
-		otherTeam = TEAM_BLUE;
-	else
-		otherTeam = TEAM_RED;
-
-	otherDominating = qfalse;
-	isClose = qfalse;
-
-	if(level.pointStatusA == otherTeam && level.pointStatusB == otherTeam) {
-		otherDominating = qtrue;
-		if(level.time - level.timeTaken > (10-DD_CLOSE)*1000)
-			isClose = qtrue;
-	}	
-	
-
-	if(team == TEAM_RED) //We have touched point A
-	{
-		if(TEAM_NONE == level.pointStatusA)
-			return 0; //Haven't spawned yet
-		if(clientTeam == level.pointStatusA)
-			return 0; //If we already have the flag
-		//if we didn't have the point, then we have now!
-		level.pointStatusA = clientTeam;
-		PrintMsg( NULL, "%s" S_COLOR_WHITE " (%s) took control of A!\n", cl->pers.netname, TeamName(clientTeam) );
-		Team_DD_makeA2team( ent, clientTeam );
-                G_LogPrintf( "DD: %i %i %i: %s took point A for %s!\n", cl->ps.clientNum, clientTeam, 0, cl->pers.netname, TeamName(clientTeam) );
-		//Give personal score
-		score = DD_POINT_CAPTURE; //Base score for capture
-		if(otherDominating){
-			score += DD_POINT_CAPTURE_BREAK;
-			if(isClose)
-				score += DD_POINT_CAPTURE_CLOSE;
-		}
-		AddScore(other, ent->r.currentOrigin, score);
-		//Do we also have point B?
-		if(clientTeam == level.pointStatusB)
-		{
-			//We are dominating!
-			level.timeTaken = level.time; //At this time
-			PrintMsg( NULL, "%s" S_COLOR_WHITE " is dominating!\n", TeamName(clientTeam) );
-			SendDDtimetakenMessageToAllClients();
-		}
-	}
-
-	if(team == TEAM_BLUE) //We have touched point B
-	{
-		if(TEAM_NONE == level.pointStatusB)
-			return 0; //Haven't spawned yet
-		if(clientTeam == level.pointStatusB)
-			return 0; //If we already have the flag
-		//if we didn't have the point, then we have now!
-		level.pointStatusB = clientTeam;
-		PrintMsg( NULL, "%s" S_COLOR_WHITE " (%s) took control of B!\n", cl->pers.netname, TeamName(clientTeam) );
-		Team_DD_makeB2team( ent, clientTeam );
-                G_LogPrintf( "DD: %i %i %i: %s took point B for %s!\n", cl->ps.clientNum, clientTeam, 1, cl->pers.netname, TeamName(clientTeam) );
-		//Give personal score
-		score = DD_POINT_CAPTURE; //Base score for capture
-		if(otherDominating){
-			score += DD_POINT_CAPTURE_BREAK;
-			if(isClose)
-				score += DD_POINT_CAPTURE_CLOSE;
-		}
-		AddScore(other, ent->r.currentOrigin, score);
-		//Do we also have point A?
-		if(clientTeam == level.pointStatusA)
-		{
-			//We are dominating!
-			level.timeTaken = level.time; //At this time
-			PrintMsg( NULL, "%s" S_COLOR_WHITE " is dominating!\n", TeamName(clientTeam) );
-			SendDDtimetakenMessageToAllClients();
-		}
-	}
-
-	updateDDpoints();
-
-	return 0;
-}
 
 /*
 ==============
-Team_TouchOurFlag
+Team_DroppedFlagThink
 ==============
 */
 int Team_TouchOurFlag( gentity_t *ent, gentity_t *other, int team ) {
@@ -1165,12 +704,12 @@ int Team_TouchOurFlag( gentity_t *ent, g
 	gclient_t	*cl = other->client;
 	int			enemy_flag;
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if( g_gametype.integer == GT_1FCTF ) {
 		enemy_flag = PW_NEUTRALFLAG;
 	}
 	else {
-//#endif
+#endif
 	if (cl->sess.sessionTeam == TEAM_RED) {
 		enemy_flag = PW_BLUEFLAG;
 	} else {
@@ -1182,40 +721,30 @@ int Team_TouchOurFlag( gentity_t *ent, g
 		PrintMsg( NULL, "%s" S_COLOR_WHITE " returned the %s flag!\n", 
 			cl->pers.netname, TeamName(team));
 		AddScore(other, ent->r.currentOrigin, CTF_RECOVERY_BONUS);
-                if(g_gametype.integer == GT_CTF) {
-                    G_LogPrintf( "CTF: %i %i %i: %s returned the %s flag!\n", cl->ps.clientNum, team, 2, cl->pers.netname, TeamName(team) );
-                } else if(g_gametype.integer == GT_CTF_ELIMINATION) {
-                    G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: %s returned the %s flag!\n", level.roundNumber, cl->ps.clientNum, team, 2, cl->pers.netname, TeamName(team) );
-                }
 		other->client->pers.teamState.flagrecovery++;
 		other->client->pers.teamState.lastreturnedflag = level.time;
 		//ResetFlag will remove this entity!  We must return zero
 		Team_ReturnFlagSound(Team_ResetFlag(team), team);
 		return 0;
 	}
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	}
-//#endif
+#endif
 
 	// the flag is at home base.  if the player has the enemy
 	// flag, he's just won!
 	if (!cl->ps.powerups[enemy_flag])
 		return 0; // We don't have the flag
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if( g_gametype.integer == GT_1FCTF ) {
 		PrintMsg( NULL, "%s" S_COLOR_WHITE " captured the flag!\n", cl->pers.netname );
-                G_LogPrintf( "1FCTF: %i %i %i: %s captured the flag!\n", cl->ps.clientNum, -1, 1, cl->pers.netname );
 	}
 	else {
-//#endif
-            PrintMsg( NULL, "%s" S_COLOR_WHITE " captured the %s flag!\n", cl->pers.netname, TeamName(OtherTeam(team)));
-            if(g_gametype.integer == GT_CTF)
-                G_LogPrintf( "CTF: %i %i %i: %s captured the %s flag!\n", cl->ps.clientNum, OtherTeam(team), 1, cl->pers.netname, TeamName(OtherTeam(team)) );
-            if(g_gametype.integer == GT_CTF_ELIMINATION)
-                G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: %s captured the %s flag!\n", level.roundNumber, cl->ps.clientNum, OtherTeam(team), 1, cl->pers.netname, TeamName(OtherTeam(team)) );
-//#ifdef MISSIONPACK
+#endif
+	PrintMsg( NULL, "%s" S_COLOR_WHITE " captured the %s flag!\n", cl->pers.netname, TeamName(OtherTeam(team)));
+#ifdef MISSIONPACK
 	}
-//#endif
+#endif
 
 	cl->ps.powerups[enemy_flag] = 0;
 
@@ -1225,10 +754,6 @@ int Team_TouchOurFlag( gentity_t *ent, g
 	// Increase the team's score
 	AddTeamScore(ent->s.pos.trBase, other->client->sess.sessionTeam, 1);
 	Team_ForceGesture(other->client->sess.sessionTeam);
-	//If CTF Elimination, stop the round:
-	if(g_gametype.integer==GT_CTF_ELIMINATION) {
-		EndEliminationRound();
-	}
 
 	other->client->pers.teamState.captures++;
 	// add the sprite over the player's head
@@ -1236,7 +761,6 @@ int Team_TouchOurFlag( gentity_t *ent, g
 	other->client->ps.eFlags |= EF_AWARD_CAP;
 	other->client->rewardTime = level.time + REWARD_SPRITE_TIME;
 	other->client->ps.persistant[PERS_CAPTURES]++;
-        G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", other->client->ps.clientNum, 4, other->client->pers.netname, "CAPTURE" );
 
 	// other gets another 10 frag bonus
 	AddScore(other, ent->r.currentOrigin, CTF_CAPTURE_BONUS);
@@ -1263,7 +787,6 @@ int Team_TouchOurFlag( gentity_t *ent, g
 				other->client->pers.teamState.assists++;
 
 				player->client->ps.persistant[PERS_ASSIST_COUNT]++;
-                                G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", player->client->ps.clientNum, 5, player->client->pers.netname, "ASSIST" );
 				// add the sprite over the player's head
 				player->client->ps.eFlags &= ~(EF_AWARD_IMPRESSIVE | EF_AWARD_EXCELLENT | EF_AWARD_GAUNTLET | EF_AWARD_ASSIST | EF_AWARD_DEFEND | EF_AWARD_CAP );
 				player->client->ps.eFlags |= EF_AWARD_ASSIST;
@@ -1274,7 +797,6 @@ int Team_TouchOurFlag( gentity_t *ent, g
 				AddScore(player, ent->r.currentOrigin, CTF_FRAG_CARRIER_ASSIST_BONUS);
 				other->client->pers.teamState.assists++;
 				player->client->ps.persistant[PERS_ASSIST_COUNT]++;
-                                G_LogPrintf( "Award: %i %i: %s gained the %s award!\n", player->client->ps.clientNum, 5, player->client->pers.netname, "ASSIST" );
 				// add the sprite over the player's head
 				player->client->ps.eFlags &= ~(EF_AWARD_IMPRESSIVE | EF_AWARD_EXCELLENT | EF_AWARD_GAUNTLET | EF_AWARD_ASSIST | EF_AWARD_DEFEND | EF_AWARD_CAP );
 				player->client->ps.eFlags |= EF_AWARD_ASSIST;
@@ -1292,12 +814,10 @@ int Team_TouchOurFlag( gentity_t *ent, g
 int Team_TouchEnemyFlag( gentity_t *ent, gentity_t *other, int team ) {
 	gclient_t *cl = other->client;
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if( g_gametype.integer == GT_1FCTF ) {
 		PrintMsg (NULL, "%s" S_COLOR_WHITE " got the flag!\n", other->client->pers.netname );
 
-                G_LogPrintf( "1FCTF: %i %i %i: %s got the flag!\n", cl->ps.clientNum, team, 0, cl->pers.netname);
-                
 		cl->ps.powerups[PW_NEUTRALFLAG] = INT_MAX; // flags never expire
 
 		if( team == TEAM_RED ) {
@@ -1308,15 +828,9 @@ int Team_TouchEnemyFlag( gentity_t *ent,
 		}
 	}
 	else{
-//#endif
+#endif
 		PrintMsg (NULL, "%s" S_COLOR_WHITE " got the %s flag!\n",
 			other->client->pers.netname, TeamName(team));
-                
-                if(g_gametype.integer == GT_CTF) {
-                    G_LogPrintf( "CTF: %i %i %i: %s got the %s flag!\n", cl->ps.clientNum, team, 0, cl->pers.netname, TeamName(team));
-                } else if(g_gametype.integer == GT_CTF_ELIMINATION) {
-                    G_LogPrintf( "CTF_ELIMINATION: %i %i %i %i: %s got the %s flag!\n", level.roundNumber, cl->ps.clientNum, team, 0, cl->pers.netname, TeamName(team));
-                }
 
 		if (team == TEAM_RED)
 			cl->ps.powerups[PW_REDFLAG] = INT_MAX; // flags never expire
